# Generated from source_map-3.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name source_map

Name: rubygem-%{gem_name}
Version: 3.0.1
Release: 1%{?dist}
Summary: Ruby support for source_maps (version 3)
License: MIT
URL: http://github.com/ConradIrwin/ruby-source_map
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
Ruby support for Source Maps allows you to interact with Source Maps in
Ruby. This
lets you do things like concatenate different javascript files and still debug
them
as though they were separate files.
See the spec for more information:
https://docs.google.com/document/d/1U1RGAehQwRypUTovF1KRlpiOFze0b-_2gc6fAH0KY0k/edit.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Thu Feb 17 2022 mockbuilder - 3.0.1-1
- Initial package
